%define anolis_release 1

%bcond_with test

Name:             umockdev
Version:          0.17.16
Release:          %{anolis_release}%{dist}

Summary:          Mock hardware devices

License:          LGPLv2+
URL:              https://github.com/martinpitt/%{name}
Source0:          https://github.com/martinpitt/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:    git
BuildRequires:    meson
BuildRequires:    gtk-doc
BuildRequires:    gobject-introspection-devel
BuildRequires:    glib2-devel
BuildRequires:    libgudev1-devel systemd-devel
BuildRequires:    libpcap-devel
BuildRequires:    vala
BuildRequires:    chrpath
BuildRequires:    systemd-udev

%description
With this program and libraries you can easily create mock udev objects.
This is useful for writing tests for software which talks to
hardware devices.

%package devel
Summary: Development packages for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the libraries to develop
using %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson -Dgtk_doc=true
%meson_build

%check
%if %{with test}
# don't be too picky about timing; upstream CI and local developer tests
# are strict, but many koji arches are emulated and utterly slow
export SLOW_TESTBED_FACTOR=10
%meson_test
%endif

%install
%meson_install

# Remove rpath
chrpath --delete %{buildroot}%{_bindir}/umockdev-record \
	%{buildroot}%{_bindir}/umockdev-run
chrpath --delete %{buildroot}%{_libdir}/libumockdev.so.*
chrpath --delete %{buildroot}%{_libdir}/libumockdev-preload.so.*

rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/umockdev

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_bindir}/umockdev-*
%{abidir}/umockdev-*-option.list
%{_libdir}/libumockdev.so.*
%{abidir}/libumockdev.dump
%{_libdir}/libumockdev-preload.so*
%{abidir}/libumockdev-preload.dump
%{_libdir}/girepository-1.0/UMockdev-1.0.typelib

%files devel
%{_libdir}/libumockdev.so
%{_libdir}/pkgconfig/umockdev-1.0.pc
%{_datadir}/gir-1.0/UMockdev-1.0.gir
%{_includedir}/umockdev-1.0
%{_datadir}/gtk-doc/html/umockdev/
%{_datadir}/vala/vapi/umockdev-1.0.vapi

%files doc
%doc README.md
%doc docs/script-format.txt docs/examples/battery.c docs/examples/battery.py

%changelog
* Mon Mar 27 2023 yuanhui <yuanhui@linux.alibaba.com> - 0.17.16-1
- Init package from upstream
